org.eclipse.emf.spi.cdo

## Class InternalCDOView.ViewInvalidationData

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOView.ViewInvalidationData

- Enclosing interface:
    InternalCDOView

      public static final class InternalCDOView.ViewInvalidationData
      extends java.lang.Object

  A data structure that holds all input values of `InternalCDOView#invalidate()`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewInvalidationData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CDORevisionKey>` | `getAllChangedObjects()`
    `java.util.List<CDOIDAndVersion>` | `getAllDetachedObjects()`
    `CDOBranch` | `getBranch()`
    `long` | `getLastUpdateTime()`
    `CDOLockChangeInfo` | `getLockChangeInfo()`
    `java.util.Map<CDOID,InternalCDORevision>` | `getOldRevisions()`
    `boolean` | `isAsync()`
    `boolean` | `isClearResourcePathCache()`
    `void` | `setAllChangedObjects(java.util.List<CDORevisionKey> allChangedObjects)`
    `void` | `setAllDetachedObjects(java.util.List<CDOIDAndVersion> allDetachedObjects)`
    `void` | `setAsync(boolean async)`
    `void` | `setBranch(CDOBranch branch)`
    `void` | `setClearResourcePathCache(boolean clearResourcePathCache)`
    `void` | `setLastUpdateTime(long lastUpdateTime)`
    `void` | `setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
    `void` | `setOldRevisions(java.util.Map<CDOID,InternalCDORevision> oldRevisions)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewInvalidationData

          public ViewInvalidationData()

  - ### Method Detail

    - #### getBranch

          public CDOBranch getBranch()

    - #### setBranch

          public void setBranch(CDOBranch branch)

    - #### getLastUpdateTime

          public long getLastUpdateTime()

    - #### setLastUpdateTime

          public void setLastUpdateTime(long lastUpdateTime)

    - #### getAllChangedObjects

          public java.util.List<CDORevisionKey> getAllChangedObjects()

    - #### setAllChangedObjects

          public void setAllChangedObjects(java.util.List<CDORevisionKey> allChangedObjects)

    - #### getAllDetachedObjects

          public java.util.List<CDOIDAndVersion> getAllDetachedObjects()

    - #### setAllDetachedObjects

          public void setAllDetachedObjects(java.util.List<CDOIDAndVersion> allDetachedObjects)

    - #### getOldRevisions

          public java.util.Map<CDOID,InternalCDORevision> getOldRevisions()

    - #### setOldRevisions

          public void setOldRevisions(java.util.Map<CDOID,InternalCDORevision> oldRevisions)

    - #### isAsync

          public boolean isAsync()

    - #### setAsync

          public void setAsync(boolean async)

    - #### isClearResourcePathCache

          public boolean isClearResourcePathCache()

    - #### setClearResourcePathCache

          public void setClearResourcePathCache(boolean clearResourcePathCache)

    - #### getLockChangeInfo

          public CDOLockChangeInfo getLockChangeInfo()

    - #### setLockChangeInfo

          public void setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html